Subject: Ticket Assigned - Hi I ordered last Monday 1 item I just want to ask what happened why until now I did not receive my order which is I pay already…the expect delivery that item is on Monday can u please help me this is my order number 9588788977 please let me know what hap
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 05 Oct 2022 11:20:22 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Hi I ordered last Monday 1 item I just want to ask what happened why until now I did not receive my order which is I pay already…the expect delivery that item is on Monday can u please help me this is my order number 9588788977 please let me know what hap Contacted

Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4964287